	/***************************
	* Background Particle Animation
	***************************/	
particleRules = {
			"particles": {
				"number": {
					"value": 80,
					"density": {
						"enable": true,
						"value_area": 800
					}
				},
				"color": {
					"value": "#ffffff"
				},
				"shape": {
					"type": "circle",
				},
				"opacity": {
					"value": 0.5,
					"random": false,
					"anim": {
						"enable": true,
						"speed": 0.2,
						"opacity_min": 0.25,
						"sync": false
					}
				},
				"size": {
					"value": 2,
					"random": true,
					"anim": {
						"enable": false,

					}
				},
				"line_linked": {
					"enable": false,
				},
				"move": {
					"enable": true,
					"speed": 0.2,
					"direction": "none",
					"random": true,
					"straight": false,
					"out_mode": "out",
					"bounce": false,
					"attract": {
						"enable": false,
					}
				}
			},

			"retina_detect": true
		};
		particleRulesFront = {
			"particles": {
				"number": {
					"value": 80,
					"density": {
						"enable": true,
						"value_area": 790
					}
				},
				"color": {
					"value": "#ffffff"
				},
				"shape": {
					"type": "circle",
					"stroke": {
						"width": 0,
						"color": "#000000"
					},
					"polygon": {
						"nb_sides": 5
					},
					"image": {
						"src": "img/github.svg",
						"width": 100,
						"height": 100
					}
				},
				"opacity": {
					"value": 0.5,
					"random": false,
					"anim": {
						"enable": true,
						"speed": 0.4,
						"opacity_min": 0.25,
						"sync": false
					}
				},
				"size": {
					"value": 3,
					"random": true,
					"anim": {
						"enable": false,
						"speed": 2,
						"size_min": 0,
						"sync": false
					}
				},

				"move": {
					"enable": true,
					"speed": 0.3,
					"direction": "none",
					"random": true,
					"straight": false,
					"out_mode": "out",
					"bounce": false,
					"attract": {
						"enable": false,
					}
				}
			},
			"retina_detect": true
		};
		particlesJS("liquidbg", particleRules, 'theanine');
		particlesJS("liquidbg2", particleRulesFront, 'theanine');
		particlesJS("mbHeroBg1", particleRules, 'mbHero');
		particlesJS("mbHeroBg2", particleRulesFront, 'mbHero');




	/***************************
	* Sleep Wave Animation
	***************************/

		var waves = new SineWaves({
			el: document.getElementById('sleepwaves'),

			speed: 4,

			width: function() {
				return $('#sleepwaves').width();
			},

			height: function() {
				return $('#sleepwaves').height();
			},

			ease: 'SineInOut',

			wavesWidth: '400%',

			waves: [{
				timeModifier: 2,
				lineWidth: 2,
				amplitude: -30,
				//wavelength: 25 Smooth
				wavelength: 25
			}, {
				timeModifier: 2,
				lineWidth: 1,
				amplitude: -40,
				strokeStyle: 'rgba(85, 192, 216, 0.25)',
				//wavelength: 25 Smooth
				wavelength: 26
			}],

			resizeEvent: function() {
				var gradient = this.ctx.createLinearGradient(0, 0, this.width, 0);
				gradient.addColorStop(0, "rgba(85, 192, 216, 0.25)");
				gradient.addColorStop(0.5, "rgba(85, 192, 216, 1)");
				gradient.addColorStop(1, "rgba(85, 192, 216, 0.25)");

				var index = -1;
				var length = this.waves.length;
				while (++index < length) {
					this.waves[0].strokeStyle = gradient;
				}
				index = void 0;
				length = void 0;
				gradient = void 0;
			}
		});

		/* Alert Waves */
		var alertwaves = new SineWaves({
			el: document.getElementById('alertwaves'),

			speed: 5,

			width: function() {
				return $('#alertwaves').width();
			},

			height: function() {
				return $('#alertwaves').height();
			},

			ease: 'SineInOut',

			wavesWidth: '800%',

			waves: [{
				timeModifier: 1,
				lineWidth: 2,
				amplitude: -180,
				//wavelength: 25 Smooth
				wavelength: 35
			}],

			resizeEvent: function() {
				var gradient = this.ctx.createLinearGradient(0, 0, this.width, 0);
				gradient.addColorStop(0, "rgba(220, 12, 12, 0.3)");
				gradient.addColorStop(0.5, "rgba(220, 12, 12, 1)");
				gradient.addColorStop(1, "rgba(220, 12, 12, 0.3)");

				var index = -1;
				var length = this.waves.length;
				while (++index < length) {
					this.waves[0].strokeStyle = gradient;
				}
				index = void 0;
				length = void 0;
				gradient = void 0;
			}
		});

		var waves = new SineWaves({
			el: document.getElementById('alphawaves'),

			speed: 4,

			width: function() {
				return $('#alphawaves').width();
			},

			height: function() {
				return $('#alphawaves').height();
			},

			//ease: 'SineInOut',

			wavesWidth: '400%',

			waves: [{
				timeModifier: 1,
				lineWidth: 2,
				amplitude: -130,
				//wavelength: 25 Smooth
				wavelength: 60
			}],

			resizeEvent: function() {
				var gradient = this.ctx.createLinearGradient(0, 0, this.width, 0);
				gradient.addColorStop(0, "rgba(85, 192, 216, 0.25)");
				gradient.addColorStop(0.25, "rgba(85, 192, 216, 1)");
				gradient.addColorStop(0.5, "rgba(85, 192, 216, 1)");
				gradient.addColorStop(0.75, "rgba(85, 192, 216, 0.75)");
				gradient.addColorStop(1, "rgba(85, 192, 216, 0.0)");

				var index = -1;
				var length = this.waves.length;
				while (++index < length) {
					this.waves[0].strokeStyle = gradient;
				}
				index = void 0;
				length = void 0;
				gradient = void 0;
			}
		});




/*********************************************
* Parallax Scrolling
*********************************************/


		winHeight = Math.max(document.documentElement.clientHeight, window.innerHeight || 0);




		scrollHandler = function(el) {

			windowScrollY = window.scrollY;
			elPositionTop = $(el).position().top;
			elInnerHeight = $(el).innerHeight();
			if (((windowScrollY + winHeight) > elPositionTop) && (windowScrollY < elPositionTop + elInnerHeight)) {

				//get offsets
				minYOffset = winHeight * .015;
				maxYOffset = winHeight * .015;
				elCenterDistanceFromScrollCenter = (elPositionTop + elInnerHeight) / 2 - (windowScrollY + winHeight) / 2;

				offsetPercent = elCenterDistanceFromScrollCenter * (4 / winHeight);

				bgOffset = offsetPercent * maxYOffset;

				bgOffset = (((elPositionTop + elInnerHeight) / 2 - (windowScrollY + winHeight) / 2) * (4 / winHeight)) * maxYOffset;


				$(el).find('.layer').each(function() {
					$(this).css('transform', 'translate(0px, ' + bgOffset * $(this).data('speed') + 'px)');
				});

			}

		}

		$(window).on('scroll', function() {
			window.requestAnimationFrame(
				function() {
					scrollHandler(document.getElementById('theanine'));
				});
		});


		$(document).ready(function() {

		});
